## CongXPathExpression

CongXPathExpression —

## Synopsis

    #define     DEBUG_XPATH_EXPRESSION_LIFETIMES
    struct      CongXPathExpression;
    #define     CONG_XPATH_EXPRESSION           (obj)
    #define     CONG_XPATH_EXPRESSION_CLASS     (klass)
    #define     IS_CONG_XPATH_EXPRESSION        (obj)
    GType       cong_xpath_expression_get_type  (void);
    CongXPathExpression* cong_xpath_expression_construct
                                                (CongXPathExpression *xpath_expression,
                                                 CongDocument *doc,
                                                 CongNodePtr context_node,
                                                 const gchar *xpath_expression_string);
    CongXPathExpression* cong_xpath_expression_new
                                                (CongDocument *doc,
                                                 CongNodePtr context_node,
                                                 const gchar *xpath_expression_string);
    CongDocument* cong_xpath_expression_get_document
                                                (CongXPathExpression *xpath_expression);
    CongNodePtr cong_xpath_expression_get_context_node
                                                (CongXPathExpression *xpath_expression);
    const gchar* cong_xpath_expression_get_string_result
                                                (CongXPathExpression *xpath_expression);

## Object Hierarchy

      GObject
       +----CongXPathExpression

## Signal Prototypes

    "string-result-changed"
                void        user_function      (CongXPathExpression *congxpathexpression,
                                                gpointer user_data);

## Description

## Details

### DEBUG_XPATH_EXPRESSION_LIFETIMES

    #define DEBUG_XPATH_EXPRESSION_LIFETIMES 0

### struct CongXPathExpression

    struct CongXPathExpression;

### CONG_XPATH_EXPRESSION()

    #define CONG_XPATH_EXPRESSION(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_XPATH_EXPRESSION_TYPE, CongXPathExpression)

`obj` : |

### CONG_XPATH_EXPRESSION_CLASS()

    #define CONG_XPATH_EXPRESSION_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_XPATH_EXPRESSION_TYPE, CongXPathExpressionClass)

`klass` : |

### IS_CONG_XPATH_EXPRESSION()

    #define IS_CONG_XPATH_EXPRESSION(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_XPATH_EXPRESSION_TYPE)

`obj` : |

### cong_xpath_expression_get_type ()

    GType       cong_xpath_expression_get_type  (void);

Returns : |

### cong_xpath_expression_construct ()

    CongXPathExpression* cong_xpath_expression_construct
                                                (CongXPathExpression *xpath_expression,
                                                 CongDocument *doc,
                                                 CongNodePtr context_node,
                                                 const gchar *xpath_expression_string);

TODO: Write me

`xpath_expression` : |
`doc` : |
`context_node` : |
`xpath_expression_string` : |
Returns : |

### cong_xpath_expression_new ()

    CongXPathExpression* cong_xpath_expression_new
                                                (CongDocument *doc,
                                                 CongNodePtr context_node,
                                                 const gchar *xpath_expression_string);

TODO: Write me

`doc` : |
`context_node` : |
`xpath_expression_string` : |
Returns : |

### cong_xpath_expression_get_document ()

    CongDocument* cong_xpath_expression_get_document
                                                (CongXPathExpression *xpath_expression);

TODO: Write me

`xpath_expression` : |
Returns : |

### cong_xpath_expression_get_context_node ()

    CongNodePtr cong_xpath_expression_get_context_node
                                                (CongXPathExpression *xpath_expression);

TODO: Write me

`xpath_expression` : |
Returns : |

### cong_xpath_expression_get_string_result ()

    const gchar* cong_xpath_expression_get_string_result
                                                (CongXPathExpression *xpath_expression);

TODO: Write me

`xpath_expression` : |
Returns : |

## Signals

### The "string-result-changed" signal

    void        user_function                  (CongXPathExpression *congxpathexpression,
                                                gpointer user_data);

`congxpathexpression` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.